package com.ruoyi.asset.domain.enums;

public enum TbAssetStatusEnum {
    /** 故障 */
    fault("故障", 0L),
    /** 正常 */
    normal("正常", 1L),
    /** 报废 */
    scrap("报废", 2L);
    private final String statusName;
    private final Long statusCode;

    public String getStatusName() {
        return statusName;
    }

    public Long getStatusCode() {
        return statusCode;
    }

    TbAssetStatusEnum(String statusName, Long statusCode) {
        this.statusName = statusName;
        this.statusCode = statusCode;
    }
}
